Skip to main content
PATCH
/
v1
/
job-groups
/
{groupID}
Update a job group
curl --request PATCH \
  --url https://api.strait.dev/v1/job-groups/{groupID} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "<string>",
  "name": "<string>",
  "slug": "<string>"
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "name": "<string>",
  "project_id": "<string>",
  "slug": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "$schema": "<string>",
  "description": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.strait.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Path Parameters

groupID
string
required

Body

application/json
description
string
name
string
slug
string

Response

OK

created_at
string<date-time>
required
id
string
required
name
string
required
project_id
string
required
slug
string
required
updated_at
string<date-time>
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://api.strait.dev/schemas/JobGroup.json"

description
string